# Interface methods for submodule: ComplexToComplex1DFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ComplexToComplex1DFFTImageFilter
class ComplexToComplex1DFFTImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetTransformDirection(self, _arg) -> None:
		""""""
		...

	def GetTransformDirection(self):
		""""""
		...

	def GetDirection(self) -> int:
		""""""
		...

	def SetDirection(self, _arg: int) -> None:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

